Questão Nomes personalizados para compartilhamentos SMB no OSX


Eu tenho um número de unidades de rede (windows) que eu preciso conectar usando o meu Mac - o truque é que em muitos desses servidores eu gostaria de poder conectar diretamente ao c $ share. Então acabo com uma lista de volumes montados que se parecem com:

/ Volumes / C $
/ Volumes / C $ -1
/ Volumes / C $ -3
/ Volumes / c $ -2

O que causa uma grande confusão em alguns dos meus aplicativos.

Minha pergunta é: Posso especificar um nome personalizado para um ponto de montagem? Algo como:

/ Volumes / server1
/ Volumes / server2
/ Volumes / server3

Não consegui encontrar nenhuma solução para isso, mas suspeito que isso seja possível. Eu atualmente conecto usando um script do Automator, mas não tenho medo de shell script também.

... ou estou pensando sobre isso da maneira errada?

Obrigado pela sua consideração ...


1


origem




Respostas:


Você pode fazer isso em um script de shell com algo como:

#!/bin/bash

mountpoint='/Volumes/server1'
serverpath='server1.wibble.com/C$'
username='gabeuscorpus'

if [[ -e "$mountpoint" ]]; then
    echo "Error: the path $mountpoint is already in use' >&2
    exit 1
fi

mkdir "$mountpoint" || {
    echo "Error creating mount point" >&2
    exit 1
}

mount -t smbfs "//$username@$serverpath" "$mountpoint" || {
    echo "Error mounting smb://$mountpoint" >&2
    rmdir "$mountpoint"
    exit 1
}

Existem algumas ressalvas com este método: primeiro, enquanto isso monta o volume do servidor sob o caminho / Volumes / server1, ele ainda será mostrado no Finder como C $. Programas que acessam arquivos por caminho não serão confundidos, mas você será.

Em segundo lugar, isso solicitará a senha do servidor no Terminal. Seria possível incluir a senha no formato "// $ username: $ password @ $ serverpath", mas a senha é visível para qualquer um que faça uma ps listagem. Infelizmente, não parece usar senhas armazenadas no chaveiro.

Finalmente, o diretório / Volumes é normalmente usado pelos vários sistemas de montagem de volume internos do OS X; Não acho que adicionar volumes montados manualmente cause problemas, mas há um pequeno risco de conflito.


4